OWLAPIAnnotIt (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.owlapi10
Class OWLAPIAnnotIt

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.owlapi10.OWLAPIAnnotIt

All Implemented Interfaces:
  Iterator<String>

    public class OWLAPIAnnotIt

extends Object
implements Iterator<String>

An iterator over annotations of an OWLEntity. This class permits to avoid the instantiation of HashSet for each call of a getAnnotation method.

Author:
  JD

Field Summary
`private String` | `currentElem`
`private Iterator` | `it`
`private String` | `lang`
`private String` | `typeAnnot`

Constructor Summary
`OWLAPIAnnotIt(org.semanticweb.owl.model.OWLOntology o, org.semanticweb.owl.model.OWLEntity e, String lang, String typeAnnot)`

Method Summary
`boolean` | `hasNext()`
`String` | `next()`
`void` | `remove()`
`private void` | `setNext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lang

    private String lang

### typeAnnot

    private String typeAnnot

### it

    private Iterator it

### currentElem

    private String currentElem

Constructor Detail

### OWLAPIAnnotIt

    public OWLAPIAnnotIt(org.semanticweb.owl.model.OWLOntology o,
                         org.semanticweb.owl.model.OWLEntity e,
                         String lang,
                         String typeAnnot)
                  throws org.semanticweb.owl.model.OWLException

Throws:
  `org.semanticweb.owl.model.OWLException`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<String>`

### next

    public String next()

  Specified by:
    `next` in interface `Iterator<String>`

### setNext

    private void setNext()
                  throws NoSuchElementException

  Throws:
    `NoSuchElementException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010